PT BIA - Bug #3916

Hapus Validasi di Menu Import Absence yg message nya "You cannot save because intersect with
attendance Master data".

09/24/2025 01:59 PM - Mr lkmal

Status: Closed Start date: 09/24/2025
Priority: High Due date: 09/25/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Team Developer,

Mohon bantuannya untuk menghapus validasi di menu Import Master Data Absence (Time Management) yg message nya "You
cannot save because intersect with attendance Master data".

case yang terjadi: ketika melakukan upload, data cuti setengah hari tidak bisa ter-upload karena sudah ada data di Attendance (table
PHRPA0019).

PORT DEV : http://remote.minovais.com:61139/
DB : remote.minovais.com, 1468
Nama DB : MinovaES_BIA_BaseServerCloud

History

#1 - 09/24/2025 02:01 PM - Mr Ikmal

- Subject changed from Hapus Validasi di Menu Import Absence to Hapus Validasi di Menu Import Absence yg message nya "You cannot save
because intersect with attendance Master data".

#2 - 09/24/2025 02:05 PM - Kezia Pawitra Yulianti

- Due date set to 09/25/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to High

#3 - 09/25/2025 10:30 AM - Mr Ikmal

- Assignee changed from M Azid Wahyudi to Tri Rizqiaty
Dear Mba Yomma,

Mohon dibantu ya mba, untuk validasinya sebagai berikut:

- Jika di template Leave diinput DurationType = Half Day (H), maka sistem tidak perlu menampilkan validasi "You cannot save because intersect with
attendance Master data" saat upload, meskipun sudah ada data Attendance di tgl yg sama.

- Jika di template Leave diinput DurationType = Full Day (F), maka sistem tetap menjalankan validasi awal. Jadi, jika pada tanggal yang sama sudah
ada data Attendance (Data PA19) dan data dari Template Leave, maka sistem tetap menampilkan pesan "You cannot save because intersect with
attendance Master data".

Terima kasih

#4 - 09/25/2025 02:46 PM - Tri Rizqiaty

- File MinovalS.MinovaES.Implementation. TM. Validation.dll added

- Status changed from Assigned to Developing

Fixing :

Update folder API1/bin & API2/bin : MinovalS.MinovaES.Implementation.TM.Validation.dll
#5 - 09/25/2025 02:46 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to Mr Ikmal

#6 - 09/25/2025 04:05 PM - Mr Ikmal
- File Screenshot 2025-09-25 160506.png added
- File PHRPA0018 - Upload Wawan di Dev BIA.xIs added

oke mba, sudah di test validasi berjalan sesuai dengan scenario.
Terlampir sebagai berikut.
Terima kasih.

#7 - 09/25/2025 04:37 PM - Mr Ikmal
- Status changed from QA Test to Deploy

- Assignee changed from Mr lkmal to Muhammad Bintar

Mas bin, ini nanti akan di deploy tapi kalau perlu matiin apk gw harus confirm ke user dlu.
Nanti detail nya di wa aja ya, soal eksekusi nya mau kapan
Terima kasih

#8 - 09/25/2025 06:59 PM - Muhammad Bintar
- Status changed from Deploy to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah di deploy ya

Files

MinovalS.MinovaES.Implementation. TM.Validation.dll 38.5 KB 09/25/2025 Tri Rizgiaty

Screenshot 2025-09-25 160506.png 199 KB 09/25/2025 Mr [kmal

PHRPA0018 - Upload Wawan di Dev BIA xIs 9.87 KB 09/25/2025 Mr [kmal
